Page MenuHomePhabricator

perceivedWait value should be logged for all card interaction-ending events
Closed, ResolvedPublic1 Story Points

Description

The value is missing for 'opened' events:

SELECT event_action, COUNT(*) AS frequency
FROM log.Popups_16364296
WHERE wiki ='ruwiki' # the wiki with the most events
AND event_isAnon 
AND DATE(timestamp) >= '2017-05-20'
AND DATE(timestamp) <= '2017-05-24'
AND event_popupEnabled
AND event_linkInteractionToken IS NOT NULL
AND event_perceivedWait IS NOT NULL
GROUP BY event_action;

+--------------+-----------+
| event_action | frequency |
+--------------+-----------+
| dismissed    |     26233 |
+--------------+-----------+
1 row in set (10.86 sec)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2017, 4:02 PM
ovasileva triaged this task as High priority.May 25 2017, 4:38 PM
ovasileva added a project: Readers-Web-Backlog.
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.

Change 355646 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] eventLogging: Add perceivedWait prop to all events

https://gerrit.wikimedia.org/r/355646

Change 355646 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] eventLogging: Add perceivedWait prop to all events

https://gerrit.wikimedia.org/r/355646

phuedx set the point value for this task to 1.May 26 2017, 3:53 AM
phuedx updated the task description. (Show Details)May 26 2017, 4:36 AM
phuedx removed phuedx as the assignee of this task.May 26 2017, 7:45 AM
phuedx added a subscriber: phuedx.
Jdlrobson added a subscriber: Jdlrobson.

I assume tilman would be best to sign this off.

T166323#3293490 isn't accurate as the -wmf.3 branch will be deployed to all of the wikis this Thursday (8th, June).

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Mass-moving all items tagged for MediaWiki 1.30.0-wmf.3, as that was never released; instead, we're using -wmf.4.

Tbayer closed this task as Resolved.Jun 13 2017, 10:39 PM

Checked that a prima facie plausible percentage of opened events now comes with a value for perceivedWait:

SELECT DATE(timestamp) AS date, 
SUM(IF(event_perceivedWait IS NOT NULL, 1, 0))/SUM(1) 
FROM log.Popups_16364296 
WHERE MONTH(timestamp) >= 6 
AND event_popupEnabled
AND event_action = 'opened' 
GROUP BY date ORDER BY date;
+------------+-------------------------------------------------------+
| date       | SUM(IF(event_perceivedWait IS NOT NULL, 1, 0))/SUM(1) |
+------------+-------------------------------------------------------+
| 2017-06-01 |                                                0.0000 |
| 2017-06-02 |                                                0.0000 |
| 2017-06-03 |                                                0.0000 |
| 2017-06-04 |                                                0.0000 |
| 2017-06-05 |                                                0.0000 |
| 2017-06-06 |                                                0.0000 |
| 2017-06-07 |                                                0.0000 |
| 2017-06-08 |                                                0.0033 |
| 2017-06-09 |                                                0.3864 |
| 2017-06-10 |                                                0.3460 |
| 2017-06-11 |                                                0.5695 |
| 2017-06-12 |                                                0.4133 |
| 2017-06-13 |                                                0.3766 |
+------------+-------------------------------------------------------+
13 rows in set (2.72 sec)